<template>
    <div :id="id" class="survey-control">
			<template v-if="field.displayType == Constant.PermissionType_HIDDEN || field.textType == 'hidden'">
				<!--隐藏-->
				<input type="hidden" v-model="field.value" />
				<div class="radio-vertical" v-if="field.mobile&&field.hiddenValue">
					<div class="titleName">
						{{field.discript?field.discript:field.name}}
					</div>
					<div class="view-li">
						<div class="view-li-right">
							{{field.hiddenValue}}
						</div>
					</div>
				</div>
			</template>

			<template v-else-if="field.textType == 'readonly' || field.displayType == Constant.PermissionType_READONLY || field.displayType == Constant.PermissionType_DISABLED">
				<template v-if="field.readOnlyShowValOnly">
        <!-- 只读（文本模式） -->
					<div class="radio-vertical"  v-if="field.mobile">
						<div class="titleName">{{field.discript?field.discript:field.name}}</div>
						<div>
							<div class="survey-title">
								{{field.questions[0].topic}}
							</div>
							<mt-checklist
								v-model="value"
								:options="field.questions[0].options">
							</mt-checklist>
						</div>
					</div>
				</template>

				<template v-else>
					<div class="radio-vertical"  v-if="field.mobile">
						<div class="titleName">{{field.discript?field.discript:field.name}}</div>
							<div v-if="field.questions.optionType == 'checkbox'">
								<div class="survey-title">
									{{field.questions[0].topic}}
								</div>
								<mt-checklist
									v-model="value"
									:options="field.questions[0].options">
								</mt-checklist>
							</div>
							<div v-else-if="field.questions.optionType == 'radio'">
								<div class="survey-title">
									{{field.questions[0].topic}}
								</div>
								<mt-radio
									v-model="field.value"
									:options="field.questions[0].options">
								</mt-radio>
							</div>
					</div>
				</template>
			</template>

			<template v-else-if="field.displayType == Constant.PermissionType_MODIFY">
				<!--可编辑-->
				<div class="radio-vertical"  v-if="field.mobile">
					<div class="titleName">{{field.discript?field.discript:field.name}}</div>
					<div v-if="field.questions.optionType == 'checkbox'">
						<div class="survey-title">
							{{field.questions[0].topic}}
						</div>
						<mt-checklist
							v-model="value"
							:options="field.questions[0].options">
						</mt-checklist>
					</div>
					<div v-else-if="field.questions.optionType == 'radio'">
						<div class="survey-title">
							{{field.questions[0].topic}}
						</div>
						<mt-radio
							v-model="field.value"
							:options="field.questions[0].options">
						</mt-radio>
					</div>
				</div>
			</template>
		</div>
</template>

<script>
import Constant from "@/Constant.js"
import controlHidden from "@/assets/js/controlHidden.js"
export default {
	name: "o-survey",
	props: ["id"],
  computed: {
    field: function() {
			let allData = this.$parent.findField(this.id);
			let transformChar = this.$parent.findField(this.id).questions;
			transformChar[0].options = JSON.parse(JSON.stringify(transformChar[0].options).replace(/text/g,"label"));
			if(transformChar) {
				for(let i=0; i<transformChar.length; i++) {
					if(transformChar[i].options) {
						transformChar[i].options.forEach(item => {
							if(item.type == "radio") {
								transformChar.optionType = "radio";
							}else if(item.type == "checkbox") {
								transformChar.optionType = "checkbox";
							}
						});
					}
					transformChar[i].topic = transformChar[i].topic.replace(/&ldquo;/g, '"').replace(/&rdquo;/g,'"');
				}
			}
			if(allData.textType == 'readonly' || allData.displayType == 1 || allData.displayType == 4) {
        for(let i=0; i<transformChar[0].options.length; i++) {
          transformChar[0].options[i].disabled = true;
        }
			}
      return this.$parent.findField(this.id);
		},
		value: {
      get: function() {
        return this.field.value.split(";");
      },
      set: function(newValue) {
        this.field.value = newValue.join(";");
      }
    }
	},
	mounted(){
    this.$nextTick(()=>{
      let field = this.field;
      if(field.isHideType) {
        let id = this.id,
          formShowType = field.formShowType;
        controlHidden({id, field, formShowType})
      }
    })
  },
	methods: {
		changeVal(){
		},
	},
	data: function() {
		return {
			Constant,
			vertical:'input-vertical',
		}
	},
}
</script>

